# FLAC__FrameHeader Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Detailed Description

FLAC frame header structure. (c.f. format specification)

## Public Attributes

unsigned | blocksize
unsigned | sample_rate
unsigned | channels
FLAC__ChannelAssignment | channel_assignment
unsigned | bits_per_sample
FLAC__FrameNumberType | number_type
union {
FLAC__uint32 frame_number
FLAC__uint64 sample_number
} | number
FLAC__uint8 | crc

## Member Data Documentation

unsigned FLAC__FrameHeader::blocksize

| The number of samples per subframe.

unsigned FLAC__FrameHeader::sample_rate

| The sample rate in Hz.

unsigned FLAC__FrameHeader::channels

| The number of channels (== number of subframes).

FLAC__ChannelAssignment FLAC__FrameHeader::channel_assignment

| The channel assignment for the frame.

unsigned FLAC__FrameHeader::bits_per_sample

| The sample resolution.

FLAC__FrameNumberType FLAC__FrameHeader::number_type

| The numbering scheme used for the frame. As a convenience, the decoder will always convert a frame number to a sample number because the rules are complex.

union { ... } FLAC__FrameHeader::number

| The frame number or sample number of first sample in frame; use the number_type value to determine which to use.

FLAC__uint8 FLAC__FrameHeader::crc

| CRC-8 (polynomial = x^8 + x^2 + x^1 + x^0, initialized with 0) of the raw frame header bytes, meaning everything before the CRC byte including the sync code.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |